ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ome::files::MetadataMap::getkey Struct Reference

Functor to get a map key. More...

## Public Member Functions
template<typename T >
T::first_type | operator() (T pair) const
| Get key from pair. More...

## Detailed Description

Functor to get a map key.

## Member Function Documentation

template<typename T >

T::first_type ome::files::MetadataMap::getkey::operator() | ( | T | pair | ) | const
| inline

Get key from pair.

Parameters

  pair | the pair to use.

Returns
  the key.

The documentation for this struct was generated from the following file:

- ome/files/MetadataMap.h